Page MenuHomePhabricator

Perform scap canary checks after sync-wikiversions
Closed, ResolvedPublic

Description

We now have canary checks in scap for MediaWiki deployments, which is wonderful, but they aren't performed during sync-wikiversions. Since errors are often surfaced on higher concurrency wikis in group1 and group2, we should perform checks upon promotion as well as after the initial full sync.

Event Timeline

dduvall created this task.Jul 2 2018, 4:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 2 2018, 4:38 PM
thcipriani triaged this task as Normal priority.Jul 10 2018, 10:17 PM
thcipriani moved this task from Needs triage to Debt on the Scap board.
zeljkofilipin moved this task from Backlog 🔙 to Watching 👀 on the User-zeljkofilipin board.
zeljkofilipin added a subscriber: zeljkofilipin.

D1100 should fix this. I'll do followup work/testing and get a new scap version out sometime soon.

Mentioned in SAL (#wikimedia-operations) [2018-09-04T16:24:26Z] <thcipriani@deploy1001> rebuilt and synchronized wikiversions files: noop wikiversions sync for T198640

thcipriani closed this task as Resolved.Sep 4 2018, 4:32 PM

Ran a noop sync-wikiversions after the scap upgrade to 3.8.5-1 and canary checks (+ fanout) was run as part of of the update.